import xmltv.*;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.TreeMap;


public class PluginTester {
    public static void main (String[] args) {
        String[][] providers;
        XMLTVImportPlugin plugin = new xmltv.XMLTVImportPlugin();
        boolean result;
        
        providers = plugin.getProviders("78717");

        System.out.println("Hello. Starting PluginTester.\n");
        
        System.out.println("Getting providers...\n");
        for (int i=0; i<providers.length; i++) {
            System.out.println("Got provider ID="+providers[i][0]+"; "+providers[i][1]+"\n");
        }

        System.out.println("Getting providers...\n");
	result=false;
        for (int i=0; i<providers.length; i++) {
	    TestEPGDB testDB = new TestEPGDB();
	    System.out.println("Updating Guide for provider"+providers[i][1]+"\n");
	    try {
		result = plugin.updateGuide( providers[i][0], testDB);
		System.out.println("Test complete, result was '"+result+"'.");
		System.out.println("Num Channels: "+testDB.Channels);
		System.out.println("Num Shows: "+testDB.Shows);
		System.out.println("Num Airings: "+testDB.Airings);
	    }
	    catch (Exception e) {
                e.printStackTrace(System.out);
	    }
	}

    }
}
